<?php
/*
Plugin Name: 123 Anonymer Versionscheck
Plugin URI: http://schnurpsel.de/wordpress-23-anonym-up-to-date-bleiben-plugin-61/
Description: Unterdrückt die Übertragung der Blog-URL und der aktiven Plugins beim ab WP 2.3 eingeführten Core- und Plugin-Versionschek.
Author: Ingo Henze
Version: 0.10
Author URI: http://putzlowitsch.de/
*/ 
	
//--- BEGIN Anonymer Updatechecker
	// Namen der Update- und Check-Funktion
	define('PLW_PLG_FUNC', 'wp_update_plugins');
	define('PLW_VER_FUNC', 'wp_version_check');

	// anonymisiert die URL
	function plw123avc_anon_url() {
	 return "http://example.org";
	}

	// "anonymisiert" aktive Plugins
	function plw123avc_no_active_plugins() {
	 return "a:0:{}";
	}
	// Ersetzt die originale 'wp_version_check'
	function plw123avc_anon_version_check() {
	 if( function_exists( PLW_VER_FUNC ) ) {
	  add_filter( 'pre_option_home', 'plw123avc_anon_url', 99999 );
	  call_user_func( PLW_VER_FUNC );
	  remove_filter( 'pre_option_home', 'plw123avc_anon_url', 99999 );
	 }
	}

	// Ersetzt die originale 'wp_update_plugins'
	function plw123avc_anon_update_plugins() {
	 if( function_exists( PLW_PLG_FUNC ) ) {
	  add_filter( 'pre_option_home', 'plw123avc_anon_url', 99999 );
	  add_filter( 'pre_option_active_plugins', 'plw123avc_no_active_plugins', 99999 );
	  call_user_func( PLW_PLG_FUNC );
	  remove_filter( 'pre_option_active_plugins', 'plw123avc_no_active_plugins', 99999 );
	  remove_filter( 'pre_option_home', 'plw123avc_anon_url', 99999 );
	 }
	}

	// Versionschek entfernen und durch eigene Funktion ersetzen
	if( function_exists( PLW_VER_FUNC ) ) {
	 remove_action( 'init', PLW_VER_FUNC );
	 add_action( 'init', 'plw123avc_anon_version_check' );
	}

	// Plugin-Update entfernen und durch eigene Funktion ersetzen
	function plw123avc_change_update_plugins () {
	 if( function_exists( PLW_PLG_FUNC ) ) {
	  remove_action( 'load-plugins.php', PLW_PLG_FUNC );
	  add_action( 'load-plugins.php', 'plw123avc_anon_update_plugins' );
	 }
	}
	add_action( 'admin_menu', 'plw123avc_change_update_plugins' );
//--- END Anonymer Updatechecker
?>